package com.ssj.bean.sys.award.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_award_activity_log")
public class AwardActivityLog extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	
	private String awardActivityId;
	
	private Integer status;
	
	private String snCode;
	
	private String awardMaterialId;
	
	private String userId;
	
	private String vipId;
	
	private Date createTime;

	public String getAwardActivityId() {
		return awardActivityId;
	}

	public void setAwardActivityId(String awardActivityId) {
		this.awardActivityId = awardActivityId;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getSnCode() {
		return snCode;
	}

	public void setSnCode(String snCode) {
		this.snCode = snCode;
	}

	public String getAwardMaterialId() {
		return awardMaterialId;
	}

	public void setAwardMaterialId(String awardMaterialId) {
		this.awardMaterialId = awardMaterialId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	
}
